function init(hero) {
    hero.setName("Nightcrawler");
    hero.setTier(6);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.leggings");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addPrimaryEquipment("fiskheroes:scimitar", true);
    
	hero.addPowers("pack:teleport");
    hero.addAttribute("WEAPON_DAMAGE", 4.5, 0);
   hero.addAttribute("PUNCH_DAMAGE", 7, 0);
    hero.addAttribute("FALL_RESISTANCE", 50.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.45, 1);
    hero.addAttribute("SPRINT_SPEED", 0.65, 1);	
    hero.addAttribute("STEP_HEIGHT", 1.0, 1);	


    
    hero.addKeyBind("SHADOWFORM", "Teleport", 1);
    
   hero.setModifierEnabled(isModifierEnabled);

}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:flight":
        return entity.getData("fiskheroes:shadowform");
    default:
        return true;
    }
}
